| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteAliasHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteAliasHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteAliasHeader ()
| Default constructor.
eProsima_user_DllExport | ~CompleteAliasHeader ()
| Default destructor.
eProsima_user_DllExport | CompleteAliasHeader (const CompleteAliasHeader &x)
| Copy constructor.
eProsima_user_DllExport | CompleteAliasHeader (CompleteAliasHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteAliasHeader & | operator= (const CompleteAliasHeader &x)
| Copy assignment.
eProsima_user_DllExport CompleteAliasHeader & | operator= (CompleteAliasHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteAliasHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteAliasHeader &x) const
| Comparison operator.
eProsima_user_DllExport void | detail (const CompleteTypeDetail &_detail)
| This function copies the value in member detail.
eProsima_user_DllExport void | detail (CompleteTypeDetail &&_detail)
| This function moves the value in member detail.
eProsima_user_DllExport const CompleteTypeDetail & | detail () const
| This function returns a constant reference to member detail.
eProsima_user_DllExport CompleteTypeDetail & | detail ()
| This function returns a reference to member detail.

## Detailed Description

This class represents the structure CompleteAliasHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteAliasHeader() [1/3]

eProsima_user_DllExport CompleteAliasHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteAliasHeader()

eProsima_user_DllExport ~CompleteAliasHeader | ( |  | ) |

inline

Default destructor.

## ◆ CompleteAliasHeader() [2/3]

eProsima_user_DllExport CompleteAliasHeader | ( | const CompleteAliasHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteAliasHeader that will be copied.

## ◆ CompleteAliasHeader() [3/3]

eProsima_user_DllExport CompleteAliasHeader | ( | CompleteAliasHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteAliasHeader that will be copied.

## Member Function Documentation

## ◆ detail() [1/4]

eProsima_user_DllExport CompleteTypeDetail & detail | ( |  | ) |

inline

This function returns a reference to member detail.

Returns
  Reference to member detail

## ◆ detail() [2/4]

eProsima_user_DllExport const CompleteTypeDetail & detail | ( |  | ) | const

inline

This function returns a constant reference to member detail.

Returns
  Constant reference to member detail

## ◆ detail() [3/4]

eProsima_user_DllExport void detail | ( | CompleteTypeDetail && | _detail | ) |

inline

This function moves the value in member detail.

Parameters

  _detail | New value to be moved in member detail

## ◆ detail() [4/4]

eProsima_user_DllExport void detail | ( | const CompleteTypeDetail & | _detail | ) |

inline

This function copies the value in member detail.

Parameters

  _detail | New value to be copied in member detail

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteAliasHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAliasHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteAliasHeader & operator= | ( | CompleteAliasHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteAliasHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteAliasHeader & operator= | ( | const CompleteAliasHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteAliasHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteAliasHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAliasHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp